Name:      org.tizen.live-tv
Summary:   Live TV application for Tizen TV
Version:   0.2
Release:   1
Group:     Applications
License:   Apache-2.0
Source0:   %{name}-%{version}.tar.gz
Source1:   %{name}.service
Source2:   %{name}.path
Source3:   %{name}.manifest

BuildRequires: cmake
BuildRequires: pkgconfig(capi-ui-efl-util)
BuildRequires: pkgconfig(elementary)
BuildRequires: pkgconfig(edje)
BuildRequires: pkgconfig(app-utils)

%define _pkgdir %{_prefix}/apps/%{name}
%define _bindir %{_pkgdir}/bin
%define _resdir %{_pkgdir}/res
%define _edjedir %{_resdir}/edje
%define _manifestdir %{_datarootdir}/packages
%define _sysuserdir /systemd/user
%define _servicedir /systemd/user/default.target.wants

%description
Live TV application for Tizen TV.

%prep
%setup -q
cp %{SOURCE3} .

%build
cmake \
	-DCMAKE_INSTALL_PREFIX=%{_pkgdir} \
	-DPACKAGE_NAME=%{name} \
	-DBINDIR=%{_bindir} \
	-DEDJEDIR=%{_edjedir} \
	-DMANIFESTDIR=%{_manifestdir} \
	-DVERSION=%{version}

make %{?jobs:-j%jobs}

%install
%make_install
install --directory %{buildroot}%{_prefix}/lib/%{_servicedir}
install -m 0644 %{SOURCE1} %{buildroot}%{_prefix}/lib/%{_sysuserdir}
install -m 0644 %{SOURCE2} %{buildroot}%{_prefix}/lib/%{_sysuserdir}
ln -sf ../%{name}.path %{buildroot}%{_prefix}/lib/%{_servicedir}

%clean
rm -rf %{buildroot}

%files
%manifest %{name}.manifest
%defattr(-,root,root,-)
%{_bindir}/*
%{_resdir}/*
%{_manifestdir}/%{name}.xml
%{_prefix}/lib/%{_sysuserdir}/%{name}.service
%{_prefix}/lib/%{_sysuserdir}/%{name}.path
%{_prefix}/lib/%{_servicedir}/%{name}.path
%{_datarootdir}/license/*
